Mixedbread

Download File

Download a specific file by its ID.

GET
/v1/files/{file_id}/content

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Api key to access Mixedbreads API

Path Parameters

file_id*File Id

The ID of the file to download

Formatuuid

Response Body

The file to be downloaded

response?stringapplication/octet-stream
from mixedbread import Mixedbreadmxbai = Mixedbread(api_key="YOUR_API_KEY")response = mxbai.files.content("f47ac10b-58cc-4372-a567-0e02b2c3d479")with open("document.pdf", "wb") as f:    for chunk in response.iter_bytes():        f.write(chunk)print("File downloaded successfully")
"string"